com.taosdata.jdbc.ws

## Class WebSocketHandshakeHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - com.taosdata.jdbc.ws.WebSocketHandshakeHandler

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    public class WebSocketHandshakeHandler
    extends io.netty.channel.ChannelInboundHandlerAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketHandshakeHandler(io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker handshaker)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `channelActive(io.netty.channel.ChannelHandlerContext ctx)`
`void` `channelRead(io.netty.channel.ChannelHandlerContext ctx, Object msg)`
`void` `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`
`void` `handlerAdded(io.netty.channel.ChannelHandlerContext ctx)`
`io.netty.channel.ChannelFuture` `handshakeFuture()`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerRemoved`

### Constructor Detail

#### WebSocketHandshakeHandler

    public WebSocketHandshakeHandler(io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker handshaker)

### Method Detail

#### handshakeFuture

    public io.netty.channel.ChannelFuture handshakeFuture()

#### handlerAdded

    public void handlerAdded(io.netty.channel.ChannelHandlerContext ctx)

Specified by:
  `handlerAdded` in interface `io.netty.channel.ChannelHandler`
Overrides:
  `handlerAdded` in class `io.netty.channel.ChannelHandlerAdapter`

#### channelActive

    public void channelActive(io.netty.channel.ChannelHandlerContext ctx)

Specified by:
  `channelActive` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelActive` in class `io.netty.channel.ChannelInboundHandlerAdapter`

#### channelRead

    public void channelRead(io.netty.channel.ChannelHandlerContext ctx,
                            Object msg)

Specified by:
  `channelRead` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `channelRead` in class `io.netty.channel.ChannelInboundHandlerAdapter`

#### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                Throwable cause)

Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`